Bug 118280 - [WK2] Invalidate FontCache before purging MemoryCache upon WebProcess termination/closure
Summary: [WK2] Invalidate FontCache before purging MemoryCache upon WebProcess termina...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-01 22:37 PDT by Zan Dobersek
Modified: 2013-07-03 09:20 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.74 KB, patch)
2013-07-01 22:42 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-07-01 22:37:37 PDT
[WK2] Invalidate FontCache before purging MemoryCache upon WebProcess termination/closure
Comment 1 Zan Dobersek 2013-07-01 22:42:35 PDT
Created attachment 205866 [details]
Patch
Comment 2 Darin Adler 2013-07-02 12:10:54 PDT
Comment on attachment 205866 [details]
Patch

Debug-only code, so seems OK to me.
Comment 3 Zan Dobersek 2013-07-02 22:55:09 PDT
Comment on attachment 205866 [details]
Patch

Clearing flags on attachment: 205866

Committed r152340: <http://trac.webkit.org/changeset/152340>
Comment 4 Zan Dobersek 2013-07-02 22:55:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Jessie Berlin 2013-07-03 08:21:43 PDT
This broke the build:

http://build.webkit.org/builders/Apple%20Lion%20Debug%20%28Build%29/builds/17493/steps/compile-webkit/logs/stdio

Ld /Volumes/Data/slave/lion-debug/build/WebKitBuild/Debug/WebKit2.framework/Versions/A/WebKit2 normal x86_64
    cd /Volumes/Data/slave/lion-debug/build/Source/WebKit2
    setenv MACOSX_DEPLOYMENT_TARGET 10.7
    /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++ -arch x86_64 -dynamiclib -L/Volumes/Data/slave/lion-debug/build/WebKitBuild/Debug -F/Volumes/Data/slave/lion-debug/build/WebKitBuild/Debug -F/Volumes/Data/slave/lion-debug/build/WebKitBuild/Debug -F/System/Library/Frameworks/ApplicationServices.framework/Frameworks -F/System/Library/Frameworks/Carbon.framework/Frameworks -F/System/Library/Frameworks/Quartz.framework/Frameworks -F/System/Library/Frameworks/CoreServices.framework/Frameworks -filelist /Volumes/Data/slave/lion-debug/build/WebKitBuild/WebKit2.build/Debug/WebKit2.build/Objects-normal/x86_64/WebKit2.LinkFileList -Xlinker --no-demangle -install_name /System/Library/PrivateFrameworks/WebKit2.framework/Versions/A/WebKit2 -mmacosx-version-min=10.7 -dead_strip -framework ApplicationServices -framework Carbon -framework Cocoa -framework CoreServices -framework IOKit -framework JavaScriptCore -licucore -framework QuartzCore -framework Security -framework WebCore -framework CoreAudio -framework WebInspectorUI -Wl,-unexported_symbol -Wl,__ZTISt9bad_alloc -Wl,-unexported_symbol -Wl,__ZTISt9exception -Wl,-unexported_symbol -Wl,__ZTSSt9bad_alloc -Wl,-unexported_symbol -Wl,__ZTSSt9exception -Wl,-unexported_symbol -Wl,__ZdlPvS_ -Wl,-unexported_symbol -Wl,__ZnwmPv -Wl,-unexported_symbol -Wl,__Znwm -lWebKitSystemInterfaceLion -stdlib=libc++ -fobjc-link-runtime -single_module -compatibility_version 1 -current_version 538.1 -o /Volumes/Data/slave/lion-debug/build/WebKitBuild/Debug/WebKit2.framework/Versions/A/WebKit2
Undefined symbols for architecture x86_64:
  "__ZN7WebCore9FontCache10invalidateEv", referenced from:
      __ZN6WebKit10WebProcess9terminateEv in WebProcess.o
      __ZN6WebKit10WebProcess8didCloseEPN7CoreIPC10ConnectionE in WebProcess.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)

I am going to try to fix it, but if that takes too long I will just roll out this patch.
Comment 6 Zan Dobersek 2013-07-03 08:53:21 PDT
I apologize, I should have checked the builders after the patch landed.
Thanks for fixing.
Comment 7 Jessie Berlin 2013-07-03 09:20:31 PDT
Fix is in http://trac.webkit.org/changeset/152355